ADC_Error Namespace Reference

Handle ADC errors. More...

## Enumerations

enum | ADC_ERROR : uint16_t { ADC_ERROR::OTHER = 1<<0, ADC_ERROR::CALIB = 1<<1, ADC_ERROR::WRONG_PIN = 1<<2, ADC_ERROR::ANALOG_READ = 1<<3, ADC_ERROR::ANALOG_DIFF_READ = 1<<4, ADC_ERROR::CONT = 1<<5, ADC_ERROR::CONT_DIFF = 1<<6, ADC_ERROR::COMPARISON = 1<<7, ADC_ERROR::WRONG_ADC = 1<<8, ADC_ERROR::SYNCH = 1<<9, ADC_ERROR::CLEAR = 0 }
| ADC errors. More...

## Detailed Description

Handle ADC errors.

## Enumeration Type Documentation

## ADC_ERROR

enum ADC_Error::ADC_ERROR : uint16_t

strong

ADC errors.

Each board has a adc->adX->fail_flag. Include ADC_util.h and use getStringADCError to print the errors (if any) in a human-readable form. Use adc->adX->resetError() to reset them.

Enumerator
OTHER | Other error not considered below.
CALIB | Calibration error.
WRONG_PIN | A pin was selected that cannot be read by this ADC module.
ANALOG_READ | Error inside the analogRead method.
ANALOG_DIFF_READ | Error inside the analogReadDifferential method.
CONT | Continuous single-ended measurement error.
CONT_DIFF | Continuous differential measurement error.
COMPARISON | Error during the comparison.
WRONG_ADC | A non-existent ADC module was selected.
SYNCH | Error during a synchronized measurement.
CLEAR | No error.